Bug 151419 - Unexpected access control results on configuration errors
Unexpected access control results on configuration errors
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: squid (Show other bugs)
3
All Linux
medium Severity low
: ---
: ---
Assigned To: Jay Fenlason
impact=low,public=20050304,source=squid
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-17 13:35 EST by Josh Bressers
Modified: 2014-08-31 19:27 EDT (History)
1 user (show)

See Also:
Fixed In Version: 7:2.5.STABLE9-1.FC3.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-16 14:54:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2005-03-17 13:35:27 EST
+++ This bug was initially created as a clone of Bug #151412 +++

On configuration errors involving wrongly defined or missing acls the
http_access results may be different than expected, possibly allowing more
access than intended. This patch makes such configuration errors a fatal error,
preventing the service from starting until the access control configuration
errors have been corrected.

http://www.squid-cache.org/Versions/v2/2.5/bugs/#squid-2.5.STABLE9-acl_error
Comment 1 Josh Bressers 2005-03-17 13:42:42 EST
This issue should also affect FC3

Note You need to log in before you can comment on or make changes to this bug.